Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#17305 - [audacious] madplug plugin doesn't work correctly

Attached to Project: Arch Linux
Opened by indianahorst (indianahorst) - Saturday, 28 November 2009, 00:50 GMT
Last edited by Ionut Biru (wonder) - Sunday, 11 April 2010, 16:42 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Ionut Biru (wonder)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
Since the last update of audacious (now: extra/audacious 2.2-3) the MP3 decoder plugin "madplug" doesn't work correctly:

1) Playing MP3 works, but without displayed playtime. The track length in the playlist doesn't appear too.
2) Removing unavailable titles in playlist doesn't work.


Additional info:
* package version(s)
extra/audacious 2.2-3
extra/audacious-plugins 2.2-1

* config and/or log files etc.
$ audacious2
Failed to load plugin (/usr/lib/audacious/Visualization/projectm-1.0.so): libgtkglext-x11-1.0.so.0: cannot open shared object file: No such file or directory
alsa-gapless: snd_device_name_hint failed: Invalid argument.
madplug: lost synchronization.
madplug: lost synchronization.
madplug: lost synchronization.
madplug: reserved header layer value.
madplug: lost synchronization.
madplug: lost synchronization.

Steps to reproduce:
Try to play a mp3 file with audacious and/or to remove nonexistant tracks via Menu Sub -> Remove unavailable files.
This task depends upon

Closed by  Ionut Biru (wonder)
Sunday, 11 April 2010, 16:42 GMT
Reason for closing:  Fixed
Additional comments about closing:  audacious 2.3-1
Comment by Andrea Scarpino (BaSh) - Saturday, 28 November 2009, 11:41 GMT
  • Field changed: Status (Unconfirmed → Assigned)
  • Field changed: Summary (madplug in audacious doesn't work correctly → [audacious] madplug plugin doesn't work correctly)
  • Task assigned to Giovanni Scafora (giovanni), Ionut Biru (wonder)
I assigned this, but I think is fixed in audacious 2.2-4
Comment by Sergey Kolesov (cucullus) - Saturday, 28 November 2009, 13:26 GMT
can confirm playtime issue. (player: 2.2-4, plugins: 2.2-1)
upstream bug?
Comment by Ionut Biru (wonder) - Saturday, 28 November 2009, 13:29 GMT
try installing gtkglext. i see that is on makedepends but should be in depends or built without it.
Comment by Sergey Kolesov (cucullus) - Saturday, 28 November 2009, 13:48 GMT
already installed
Comment by Ionut Biru (wonder) - Saturday, 28 November 2009, 14:00 GMT
i can't really replicate anything. try removing the configurations
Comment by Sergey Kolesov (cucullus) - Saturday, 28 November 2009, 16:12 GMT
my config is fresh, because new audacious segfaulted with 2.1 config
Comment by indianahorst (indianahorst) - Saturday, 28 November 2009, 16:20 GMT
Yes, my config was also fresh (had removed the old one under ~/.config/audacious/). I have "solved" the problem now by downgrading to audacious 2.1-2 and audacious-plugins 2.1-1.
Comment by Sergey Kolesov (cucullus) - Saturday, 28 November 2009, 21:08 GMT
got it! playtime/seekbar issue is solved with enabling fast play-length calculation in madplug properties.
Comment by Ionut Biru (wonder) - Wednesday, 02 December 2009, 19:53 GMT
this is fixed?
Comment by Sergey Kolesov (cucullus) - Wednesday, 02 December 2009, 21:00 GMT
this is workaround for item 1
Comment by xlq (xlq) - Monday, 14 December 2009, 16:41 GMT
I'm not sure if this is related or not, but the new Audacious (2.2-4) hangs and uses 100% CPU when trying to play an Mp4/AAC file. I went back to version 2.1-2 which works fine.

Mplayer can play my mp4 files fine but reports: "FAAD: compressed input bitrate missing, assuming 128kbit/s!" so maybe my mp4s are a bit dodgy.
Comment by Ionut Biru (wonder) - Saturday, 10 April 2010, 20:38 GMT
status using 2.3?
Comment by indianahorst (indianahorst) - Sunday, 11 April 2010, 09:11 GMT

In aur/audacious2-beta 2.3-3 with aur/audacious2-plugins-beta 2.3-3 everything seems to work fine.
Comment by Ionut Biru (wonder) - Sunday, 11 April 2010, 11:31 GMT
please use the one from extra.

Loading...